hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-14253) update docs + build for maven 3.0.4+
Date Wed, 02 Sep 2015 03:11:46 GMT

    [ https://issues.apache.org/jira/browse/HBASE-14253?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14726666#comment-14726666
] 

Hudson commented on HBASE-14253:
--------------------------------

FAILURE: Integrated in HBase-TRUNK #6771 (See [https://builds.apache.org/job/HBase-TRUNK/6771/])
HBASE-14253 update docs + build for maven 3.0.4+ (busbey: rev 5bb36f1594f7bc70d245ffa475e1393964c496b0)
* src/main/asciidoc/_chapters/developer.adoc
* pom.xml


> update docs + build for maven 3.0.4+
> ------------------------------------
>
>                 Key: HBASE-14253
>                 URL: https://issues.apache.org/jira/browse/HBASE-14253
>             Project: HBase
>          Issue Type: Task
>          Components: build, documentation
>    Affects Versions: 2.0.0
>            Reporter: Sean Busbey
>            Assignee: Lars Francke
>              Labels: beginner
>             Fix For: 2.0.0
>
>         Attachments: HBASE-14253.patch
>
>
> our new hbase-spark module raises our minimum maven version from 3.0.0 (though I've only
tried 3.0.3) to 3.0.4:
> {code}
> [ERROR] Failed to execute goal net.alchim31.maven:scala-maven-plugin:3.2.0:add-source
(scala-compile-first) on project hbase-spark: The plugin net.alchim31.maven:scala-maven-plugin:3.2.0
requires Maven version 3.0.4 -> [Help 1]
> {code}
> Update the docs to call out 3.0.4 and add an enforcer rule so that this failure can happen
at the start of a build rather than 15 minutes in.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message